package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.util.resource.Labels;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.UsuarioEmpresa;


public class RenderUsuarioEmpresa implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        UsuarioEmpresa usuarioEmpresa = (UsuarioEmpresa) o;

        Listcell lc = null;
	  
	        if (usuarioEmpresa != null) {
	        	if(usuarioEmpresa.getEmpresa() != null){
	        		if(usuarioEmpresa.getEmpresa().getCnpj() != null){
			            lc = new Listcell(usuarioEmpresa.getEmpresa().getCnpj());
		            }else{
		            	lc = new Listcell("");
		            }
	        		lc.setParent(lstm);
		            
	        		if(usuarioEmpresa.getEmpresa().getNombempresa() != null){
			            lc = new Listcell(usuarioEmpresa.getEmpresa().getNombempresa());
	        		}else{
	        			lc = new Listcell("");
	        		}
	        		lc.setParent(lstm);
		            
	        		lc = new Listcell(usuarioEmpresa.getIndValidaPreimpreso()?Labels.getLabel("MSG.SI"):Labels.getLabel("MSG.NO"));
	        		lc.setParent(lstm);
		            
	        	}
	        } 
	 

   
        

        lstm.setAttribute("data", usuarioEmpresa);
    }
}

